Subject: Re: 7/30 events
From: Hitoshi Doi <[email-masked]>
To: [email-masked]
Date: Tue, 01 Aug 1995 00:52:47 +0900

Eddie Kwon writes:
| 
| Could somebody repost info about the new album that Iwao Junko and Inoue 
| Kikuko have put out together.  I know people have talked about it before, 
| but now that I see the ads, my curiosity has been stirred (not shaken).^_^

http://www.tcp.com/doi/seiyuu/cd/osapen.html

| What is with the 'Nature Girl' outfit that Kikko-chan wears on the 
| cover.  And that hair, it has got to be extensions. BTW, has she ever 
| worn her hair short, I wonder how she would look.

Junko is dressed as a penguin, and Kikuko is dressed
as a fish (or mermaid).  Kikuko's hair was "short" earlier
this year.  A lot of it has grown back already.
--
Hitoshi Doi, Toshi Nibunnoichi                                  [email-masked]
half a UFO catcher doll, half a cel          801 tactical training squadron
http://www.tcp.com/doi/doi.html                             [email-masked]